Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Fluid Viewhelper link.email misses universal tag attributes
Description

The EmailViewHelper misses the initialization of the universal tag attributes. Due to this class and misc other tag attributes doesn't
work with this viewhelper and an exception gets thrown instead.

This patch adds a call to initialize the universal tag attributes:

--- /var/www/_websites/faa/typo3/sysext/fluid/Classes/ViewHelpers/Link/EmailViewHelper.php    2009-10-01
20:31:08.000000000 +0200
+++ EmailViewHelper.php    2009-10-21 14:33:43.000000000 +0200
@@ -51,6 +51,15 @@
      */
     protected $tagName = 'a';

+        /**
+         * Arguments initialization
+         *
+         * @return void
+         */
+        public function initializeArguments() {
+                $this->registerUniversalTagAttributes();
+        }
+
     /**
      * @param string $email The email address to be turned into a link.
      * @return string Rendered email link

Related issues:
duplicated by TYPO3.Fluid - Bug # 5075: Fluid Viewhelper link.email misses un... Rejected 2009-10-21

Associated revisions
Revision a0cd5d46 - 2009-10-21 18:00 - Bastian Waidelich

[+BUGFIX] Fluid: register universal tag attributes in link.email view helper. This resolves #5069.

History
#1 - 2009-10-21 17:39 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#2 - 2009-10-21 17:46 - Bastian Waidelich
- File 5069.patch added
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

I'll take care of this.
Until then, you can write

<f:link.email email="foo@bar.tld" additionalAttributes="{name: 'foo', onclick: 'bar'}" />

#3 - 2009-10-21 18:02 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3335.

Files
5069.patch 1.1 kB 2009-10-21 Bastian Waidelich
